package info

import (
	"context"
)

type CloneProto string

const (
	CloneProtoSSH     CloneProto = "ssh"
	CloneProtoHTTP    CloneProto = "http"
	DefaultCloneProto CloneProto = CloneProtoSSH
)

// Globally shared info for all remote types
// Stub package to prevent import cycle
type RemoteInfo struct {
	Ctx        context.Context
	Host       string
	Name       string
	Token      string
	Type       string
	CloneProto CloneProto
}
